# Copyright (c) 2013 - 2025 Cloudera, Inc.  All Rights Reserved.
#  
# Unless otherwise agreed to in writing by Cloudera, use of this file is exclusively governed by the Cloudera Standard License (the “License”), a copy of which may be found at https://www.cloudera.com/legal/commercial-terms-and-conditions.html.
#  
# This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. Refer to the License for the specific permissions and limitations governing your use of the file.
import json, logging
from .dataconn_dataengine import DataEngine

# create logger
LOGGER = logging.getLogger("arcweb")

class NoSqlApi2Conn(DataEngine):
  def __init__(self, connection_id=-1):
    self.connection = None
    self.connection_id = connection_id
    self.connection_type = 'unknown_dc'

  def set_connection(self, connection):
    self.connection = connection

  def get_connection(self, username=None):
    return self.connection

