# Copyright (c) 2013 - 2025 Cloudera, Inc.  All Rights Reserved.
#  
# Unless otherwise agreed to in writing by Cloudera, use of this file is exclusively governed by the Cloudera Standard License (the “License”), a copy of which may be found at https://www.cloudera.com/legal/commercial-terms-and-conditions.html.
#  
# This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. Refer to the License for the specific permissions and limitations governing your use of the file.
"""
This module is used to test out messytables type conversions
when the messytables module is not available. It mocks out
types for testing
"""

class types:
  class StringType:
    pass

  class IntegerType:
    pass

  class FloatType:
    pass

  class DecimalType:
    pass

  class BoolType:
    pass

  class DateType:
    def __init__(self, s=None):
      pass

