#!/usr/bin/env python
# Copyright (c) 2013 - 2025 Cloudera, Inc.  All Rights Reserved.
#  
# Unless otherwise agreed to in writing by Cloudera, use of this file is exclusively governed by the Cloudera Standard License (the “License”), a copy of which may be found at https://www.cloudera.com/legal/commercial-terms-and-conditions.html.
#  
# This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. Refer to the License for the specific permissions and limitations governing your use of the file.
import os
import sys

if __name__ == "__main__":
    dirname = os.path.dirname(os.path.abspath(__file__))
    sys.path.append(dirname)

    if (os.getenv('CDV_SUB_MODE') == 'MLExplore'):
        sys.path.append(os.path.expanduser("~/.explore"))
    else:
        sys.path.append(os.path.expanduser("~/.arc"))

    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "arcwebbase.settings")

    from django.core.management import execute_from_command_line

    execute_from_command_line(sys.argv)
