# Samples

To load the samples run you need to have a "vizapps_admin" admin user with the
same username, then run the following commands:

```shell
export DJANGO_SETTINGS_MODULE=settings_local
python ./arcweb/manage.py install_samples
```

You can use the `--force` option to reload all the data

You can specify the admin user and password that is used during creating the
samples with the following environment variables:

```shell
export VIZ_ADMIN_USERNAME="my_admin"
export VIZ_ADMIN_PASSWORD="my_pass"
```

Some of the samples use the Mapbox visual which requires a Mapbox Token.

 1. If you don't have a mapbox account register [here](https://account.mapbox.com/auth/signup/).
 2. If you don't have a Mapbox Token, generate one.
 3. Go to Site Settings and set your Mapbox Token.