window.arc = window.arc || {};

(function() {
'use strict';

arc.action = arc.action || {};
arc.action.plugins = arc.action.plugins || {};
arc.action.extensions = arc.action.extensions || [];

arc.action.plugins.sendEmail = function() {
  let c = function() {
    return 'sendEmail';
  };

  let viz,
      lib;

  c.viz = function(_) {
    if (!arguments.length) return viz;
    viz = _;
    lib = viz.viz_lib();
    return c;
  };

  c.run = function() {
    $('.arc-app-container .viz-params-more .email-visual').trigger('click');
  };

  return c;
};

function sendEmailExtension() {
  let ext = function() {
    return 'sendEmailExtension';
  };

  ext.enabled = function() {
    return arc.globals.email_enabled;
  };

  ext.action_name = function() {
    return 'sendemail';
  };

  ext.action_label = function() {
    return 'Send email';
  };

  ext.action = arc.action.plugins.sendEmail;

  return ext;
}

arc.action.extensions.push(sendEmailExtension());

}());
