window.arc = window.arc || {};

(function() {
'use strict';

arc.settings = arc.settings || {};
arc.settings.colors = arc.settings.colors || {};

arc.settings.colors.appMenuBarBgColor = function() {
  var s = arc.visual.setting();

  s.id('app_menubar_bg_color')
   .section('Style')
   .tab('Menu Bar')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('APP_MENUBAR_BG_COLOR')
   .add_label('Background Color')
   .value('');

  return s;
};

arc.settings.colors.appMenuBarBottomBarColor = function() {
  var s = arc.visual.setting();

  s.id('app_menubar_bottombar_color')
   .section('Style')
   .tab('Menu Bar')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('APP_MENUBAR_BOTTOMBAR_COLOR')
   .add_label('Bottom Bar Color')
   .value('');

  return s;
};

arc.settings.colors.appMenuBarBarColorSelected = function() {
  var s = arc.visual.setting();

  s.id('app_menubar_barcolor_selected')
   .section('Style')
   .tab('Menu Bar')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('APP_MENUBAR_BARCOLOR_SELECTED')
   .add_label('Bar Color - Selected')
   .value('');

  return s;
};

arc.settings.colors.appMenuTextColor = function() {
  var s = arc.visual.setting();

  s.id('app_menutext_color')
   .section('Style')
   .tab('App Menu Text')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('APP_MENUTEXT_COLOR')
   .add_label('Text Color')
   .value('');

  return s;
};

arc.settings.colors.appMenuTextColorSelected = function() {
  var s = arc.visual.setting();

  s.id('app_menutext_color_selected')
   .section('Style')
   .tab('App Menu Text')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('APP_MENUTEXT_COLOR_SELECTED')
   .add_label('Text Color - Selected')
   .value('');

  return s;
};

// Not a typo, differentiating from App Background Background Color from
// Menu Bar Background Color
arc.settings.colors.appBgBgColor = function() {
  var s = arc.visual.setting();

  s.id('app_bg_bg_color')
   .section('Style')
   .tab('App Background')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('APP_BG_BG_COLOR')
   .add_label('Background Color')
   .value('');

  return s;
};

arc.settings.colors.timeControlBgColor = function() {
  var s = arc.visual.setting();

  s.id('timecontrol_bg_color')
   .section('Style')
   .tab('Style')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('TIMECONTROL_BG_COLOR')
   .add_label('Background Color')
   .value('');

  return s;
};

arc.settings.colors.dashboardBgColor = function() {
  var s = arc.visual.setting();

  s.id('dashboard_bg_color')
   .section('Style')
   .tab('Dashboard Basics')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('DASHBOARD_BG_COLOR')
   .add_label('Background Color')
   .value('');

  return s;
};

arc.settings.colors.dashboardFgColor = function() {
  var s = arc.visual.setting();

  s.id('dashboard_fg_color')
   .section('Style')
   .tab('Dashboard Basics')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('DASHBOARD_FG_COLOR')
   .add_label('Text Color')
   .value('');

  return s;
};

arc.settings.colors.pageBgColor = function() {
  var s = arc.visual.setting();

  s.id('page_bg_color')
   .section('Style')
   .tab('Dashboard Basics')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('PAGE_BG_COLOR')
   .add_label('Page Background Color')
   .value('');

  return s;
};

arc.settings.colors.appTitleBg = function() {
  var s = arc.visual.setting();

  s.id('app_title_bg')
   .section('Style')
   .tab('Dashboard Title')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('APP_TITLE_BG_COLOR')
   .add_label('Background Color')
   .value('');

  return s;
};

arc.settings.colors.appTitleFg = function() {
  var s = arc.visual.setting();

  s.id('app_title_fg')
   .section('Style')
   .tab('Dashboard Title')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('APP_TITLE_FG_COLOR')
   .add_label('Text Color')
   .value('');

  return s;
};

arc.settings.colors.dashboardSubtitleBgColor = function() {
  var s = arc.visual.setting();

  s.id('dashboard_subtitle_bg_color')
   .section('Style')
   .tab('Dashboard Subtitle')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('DASHBOARD_SUBTITLE_BG_COLOR')
   .add_label('Background Color')
   .value('');

  return s;
};

arc.settings.colors.dashboardSubtitleFgColor = function() {
  var s = arc.visual.setting();

  s.id('dashboard_subtitle_fg_color')
   .section('Style')
   .tab('Dashboard Subtitle')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('DASHBOARD_SUBTITLE_FG_COLOR')
   .add_label('Text Color')
   .value('');

  return s;
};

arc.settings.colors.visualBgColor = function() {
  var s = arc.visual.setting();

  s.id('visual_bg_color')
   .section('Style')
   .tab('Visual Basics')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('VISUAL_BG_COLOR')
   .add_label('Background Color')
   .value('');

  return s;
};

arc.settings.colors.visualBorderColor = function() {
  var s = arc.visual.setting();

  s.id('visual_border_color')
   .section('Style')
   .tab('Visual Borders')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('VISUAL_BORDER_COLOR')
   .add_label('Border Color')
   .value('');

  return s;
};

arc.settings.colors.visualTitleBg = function() {
  var s = arc.visual.setting();

  s.id('visual_title_bg')
   .section('Style')
   .tab('Visual Title')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('VISUAL_TITLE_BG_COLOR')
   .add_label('Background Color')
   .value('');

  return s;
};

arc.settings.colors.visualTitleFg = function() {
  var s = arc.visual.setting();

  s.id('visual_title_fg')
   .section('Style')
   .tab('Visual Title')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('VISUAL_TITLE_FG_COLOR')
   .add_label('Text Color')
   .value('');

  return s;
};

arc.settings.colors.visualSubtitleBg = function() {
  var s = arc.visual.setting();

  s.id('visual_subtitle_bg')
   .section('Style')
   .tab('Visual Subtitle')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('VISUAL_SUBTITLE_BG_COLOR')
   .add_label('Background Color')
   .value('');

  return s;
};

arc.settings.colors.visualSubtitleFg = function() {
  var s = arc.visual.setting();

  s.id('visual_subtitle_fg')
   .section('Style')
   .tab('Visual Subtitle')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('VISUAL_SUBTITLE_FG_COLOR')
   .add_label('Text Color')
   .value('');

  return s;
};

arc.settings.colors.filterContainerBgColor = function() {
  var s = arc.visual.setting();

  s.id('filter_container_bg_color')
   .section('Style')
   .tab('Filters')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('FILTER_CONTAINER_BG_COLOR')
   .add_label('Container Color')
   .value('');

  return s;
};

arc.settings.colors.filterTitleColor = function() {
  var s = arc.visual.setting();

  s.id('filter_title_color')
   .section('Style')
   .tab('Filters')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('FILTER_TITLE_COLOR')
   .add_label('Text Color')
   .value('');

  return s;
};

arc.settings.colors.filterSelectionColor = function() {
  var s = arc.visual.setting();

  s.id('filter_selection_color')
   .section('Style')
   .tab('Filters')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('FILTER_SELECTION_COLOR')
   .add_label('Selected Text Color')
   .value('');

  return s;
};

arc.settings.colors.filterBgColor = function() {
  var s = arc.visual.setting();

  s.id('filter_bg_color')
   .section('Style')
   .tab('Filters')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('FILTER_BG_COLOR')
   .add_label('Background Color')
   .value('#f8f8f8');

  return s;
};

arc.settings.colors.labelColor = function() {
  let s = arc.visual.setting();
  s.id('label_color')
   .section('Style')
   .tab('Visual Axes and Labels')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_name('LABEL_COLOR')
   .add_label('Label Text Color')
   .value('');
  return s;
};

}());
