window.arc = window.arc || {};

(function() {
'use strict';

arc.settings = arc.settings || {};
arc.settings.correlation = arc.settings.correlation || {};

arc.settings.correlation.minimumSize = function() {
  let s = arc.visual.setting();

  s.id('correlation_cell_minimum_size')
   .tab('Marks')
   .type(arc.visual.settingTypeEnum.SLIDER)
   .add_class('spinner-alignright')
   .add_name('CORRELATION_CELL_MINIMUM_SIZE')
   .add_label('Min Cell Size')
   .min(1)
   .max(500)
   .step(2)
   .value('12');

  return s;
};

arc.settings.correlation.maxXLegendHeight = function() {
  let s = arc.visual.setting();

  s.id('correlation_max_x_height')
   .tab('Axes')
   .type(arc.visual.settingTypeEnum.SLIDER)
   .add_class('spinner-alignright')
   .add_name('CORRELATION_MAX_X_LEGEND_HEIGHT')
   .add_label('Max column label length')
   .min(1)
   .max(1000)
   .step(20)
   .value('400');

  return s;
};

arc.settings.correlation.maxYLegendWidth = function() {
  let s = arc.visual.setting();

  s.id('correlation_max_y_width')
   .tab('Axes')
   .type(arc.visual.settingTypeEnum.SLIDER)
   .add_class('spinner-alignright')
   .add_name('CORRELATION_MAX_Y_LEGEND_WIDTH')
   .add_label('Max row label length')
   .min(1)
   .max(1000)
   .step(20)
   .value('400');

  return s;
};

})();
