window.arc = window.arc || {};

(function() {
'use strict';

arc.settings = arc.settings || {};
arc.settings.crosstab = arc.settings.crosstab || {};

arc.settings.crosstab.totals = function() {
  return arc.visual.setting()
            .id('totals_above_expansions')
            .tab('Marks')
            .type(arc.visual.settingTypeEnum.CHECKBOX)
            .add_name('TOTALS_ABOVE_EXPANSIONS')
            .add_label('Show expansion totals above the expanded rows')
            .info('Valid only when expansion is enabled' +
                      ' for at least one Row shelf dimension.')
            .value('true');
};

arc.settings.crosstab.crosstab_total_str = function() {
  return arc.visual.setting()
            .id('crosstab_total_str')
            .tab('Marks')
            .type(arc.visual.settingTypeEnum.STRING)
            .add_name('CROSSTAB_TOTAL_STR')
            .add_label('Subtotal Title')
            .info('Valid only when expansion is enabled' +
                      ' for at least one Row shelf dimension.')
            .value('');
};

}());
