window.arc = window.arc || {};

(function() {
'use strict';

arc.settings = arc.settings || {};
arc.settings.path = arc.settings.path || {};

arc.settings.path.linkColor = function() {
  var s = arc.visual.setting();

  s.id('path_link_color')
   .section('Color')
   .tab('Color')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_label('Link Color')
   .value('#ccc');

  return s;
};

arc.settings.path.dropoffColor = function() {
  var s = arc.visual.setting();

  s.id('path_dropoff_color')
   .section('Color')
   .tab('Color')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_label('Dropoff Color')
   .value('#ccc');

  return s;
};

arc.settings.path.highlightColor = function() {
  var s = arc.visual.setting();

  s.id('path_highlight_color')
   .section('Color')
   .tab('Color')
   .type(arc.visual.settingTypeEnum.COLOR)
   .add_label('Highlight Color')
   .value('#4169e1');

  return s;
};

})();
