window.arc = window.arc || {};

(function() {
'use strict';

arc.settings = arc.settings || {};
arc.settings.visuals = arc.settings.visuals || {};

arc.settings.visuals.visualHideTitle = function() {
  return arc.visual.setting()
            .id('visual_hide_title')
            .section('Style')
            .tab('Visual Title')
            .type(arc.visual.settingTypeEnum.CHECKBOX)
            .add_name('VISUAL_HIDE_TITLE')
            .add_label('Hide title in view mode')
            .value('false');
};

arc.settings.visuals.visualAutodetectTime = function() {
  return arc.visual.setting()
            .id('visual_autodetect_time')
            .tab('Axes')
            .type(arc.visual.settingTypeEnum.CHECKBOX)
            .add_name('VISUAL_AUTODETECT_TIME')
            .add_label('Auto-detect time columns to plot a continuous axis')
            .value('true');
};

arc.settings.visuals.visualShowDetailData = function() {
  const s = arc.visual.setting()
    .id('visual_show_detail_data')
    .tab('Marks')
    .type(arc.visual.settingTypeEnum.CHECKBOX)
    .add_name('VISUAL_SHOW_DETAIL_DATA')
    .add_label('Show detail data button in context menu')
    .value('true');

  s.paint_fn((sel) => {
    s.paintSetting(sel, 'dashboard_display_view_data');
  });

  return s;
};

arc.settings.visuals.enableAnimations = function() {
  return arc.visual.setting()
            .id('enable_animations')
            .tab('General')
            .type(arc.visual.settingTypeEnum.CHECKBOX)
            .add_name('ENABLE_ANIMATIONS')
            .add_label('Enable animations')
            .value('true');
};

}());
