window.arc = window.arc || {};

(function() {
"use strict";

arc.report = arc.report || {};

arc.report.funnel = function() {
  var funnel = arc.report.path()
                  .flow_type('funnel');
  var shelf_data = [
    {
      name: "time_shelf",
      display_name: "Time",
      shelf_type: arc.report.shelf_types.COLUMN,
      column_type: arc.report.columnTypeEnum.DIMENSION
    },
    {
      name: "session_shelf",
      display_name: "Session",
      shelf_type: arc.report.shelf_types.COLUMN,
      column_type: arc.report.columnTypeEnum.DIMENSION
    },
    {
      name: "events_path_shelf",
      display_name: "Path",
      shelf_type: arc.report.shelf_types.EVENT_FUNNEL,
      column_type: arc.report.columnTypeEnum.UNKNOWN
    },
    {
      name: "measure_shelf",
      display_name: "Measure",
      shelf_type: arc.report.shelf_types.COLUMN,
      column_type: arc.report.columnTypeEnum.AGGREGATE
    },
    {
      name: "filters_shelf",
      display_name: 'Filters',
      display_html: arc.report.filters_shelf_html(),
      shelf_type: arc.report.shelf_types.PREDICATE,
      column_type: arc.report.columnTypeEnum.UNKNOWN,
      onShelfListChange: arc.report.updateFilterShelfLabel,
    }
  ];
  funnel.shelf_data(shelf_data);

  return funnel;
};

}());
