window.arc = window.arc || {};

(function() {
'use strict';

arc.filters = arc.filters || {};

arc.filters.globalFilters = function() {
  var globalFilters = function() {
    return 'arc.filters.globalFilters';
  };

  var filters,
      filterToReport = {};

  globalFilters.filters = function(_) {
    if (!arguments.length) return filters;
    filters = _;
    return globalFilters;
  };

  globalFilters.addFilterToReportMapping = function(filterId, report) {
    filterToReport[filterId] = report;
    return globalFilters;
  };

  globalFilters.getFilterReport = function(filterId) {
    return filterToReport[filterId];
  };

  return globalFilters;
};

})();

