QUnit.module('utils_canvas_utils', {});

QUnit.test('arc.utils.findLongestText', (assert) => {
  const input = ['f', 'fff', 'ff'];
  assert.equal(
    typeof arc.utils.findLongestText,
    'function',
    'findLongestText should be a function',
  );
  assert.equal(
    arc.utils.findLongestText(),
    null,
    'produce a null if no arguments',
  );
  assert.equal(
    Array.isArray(arc.utils.findLongestText(input)),
    true,
    'it should return with an array',
  );
  assert.equal(
    arc.utils.findLongestText(input).length,
    2,
    'it should be a tuple with two elements',
  );
  assert.equal(
    typeof arc.utils.findLongestText(input)[0],
    'number',
    'it should be the width of the longest text',
  );
  assert.equal(
    arc.utils.findLongestText(input)[1],
    'fff',
    'the longest text should be fff',
  );
});
