import { getGlobalArc } from 'utils/get-global-arc';
import { vizHttp } from 'services/viz-http';

const arc = getGlobalArc();

export const setWhatSNewModalSeen = async () => {
  try {
    return await vizHttp.post({
      url: `${arc.frontend.globals.urls.userDataUrl}/new_release_modal_seen`,
      isOldEndpoint: true,
      data: {
        new_release_modal_seen: `"${arc.frontend.globals.settings.whatSNewVersion}"`,
        csrfmiddlewaretoken: arc.frontend.globals.authentication.csrfToken,
      },
    });
  } catch (error) {
    console.error(error);
  }
};
