import type { Arc } from './types/arc.type';
import * as d4 from 'd3';
import Fuse from 'fuse.js';
import ShortUniqueId from 'short-unique-id';

declare global {
  interface Window {
    arc: Arc;
    jQuery: JQueryStatic;
    $: JQueryStatic;
    d4: typeof d4;
    Fuse: typeof Fuse;
    ShortUniqueId: typeof ShortUniqueId;
    flippersAsJsonString: string;
  }
}
