import { Dataset } from './dataset.type';

export interface CreateDatasetFromSQL {
  dataconnection_id(): number;
  dataconnection_id(id: number): CreateDatasetFromSQL;
  dataconnection_type(): string;
  dataconnection_type(type: string): CreateDatasetFromSQL;
  tgt_dataset_name(targetDatasetName: string): CreateDatasetFromSQL;
  sql(sql: string): CreateDatasetFromSQL;
  showSuccessMsg(show: boolean): CreateDatasetFromSQL;
  successCb(cb?: (dataset: Dataset) => void): CreateDatasetFromSQL;
  errorCb(cb?: (error: string) => void): CreateDatasetFromSQL;
  fetchColumns(cb: () => {}): CreateDatasetFromSQL;
  create(): void;
}
