/* eslint-disable camelcase */
export interface ExpressionFilter {
  getExpressionForEdit(): string;
  clearCustomExpr(): void;
  custom_expr(value: string): ExpressionFilter;
  custom_expr(): string;
  filter_column(): boolean;
  col_alias(alias: string | undefined): unknown;
  col_desc(value: unknown | undefined): void;
  filter_data(data: unknown[]): void;
  fn_name(name: null | unknown): ExpressionFilter;
  fn_type(type: null | unknown): ExpressionFilter;
  fn_cast(cast: null | unknown): ExpressionFilter;
  shelf_date_function(): unknown;
  shelf_date_function(dateFn: unknown | null): unknown;
  display_format(displayFormat: unknown | null): ExpressionFilter;
}
