import classNames from 'classnames';
import React from 'react';

import classes from './UnauthorizedCard.module.scss';

type UnauthorizedCardProps = {
  className?: string;
  children: JSX.Element[];
};

export const UnauthorizedCard = ({
  className,
  children,
}: UnauthorizedCardProps): JSX.Element => (
  <div className={classNames(classes.card, className)}>{children}</div>
);
