import classNames from 'classnames';
import React from 'react';

import classes from './UnauthorizedSubmitButton.module.scss';

export const UnauthorizedSubmitButton = ({
  className,
  children,
  ...props
}: JSX.IntrinsicElements['button']): JSX.Element => (
  <button className={classNames(classes.button, className)} {...props}>
    {children}
  </button>
);
