import { ErrorPageType } from 'pages/error-page/ErrorPage';

export const getErrorTypeByStatus = (status?: number) => {
  switch (status) {
    case 404:
      return ErrorPageType.NotFound;
    case 403:
      return ErrorPageType.Forbidden;
    default:
      return ErrorPageType.Generic;
  }
};
