import { getStatistics } from './get-statistics';
import { getNumberOfRecentlyCreatedResources } from './get-number-of-recently-created-resources';
import { getRecentlyCreatedDashboardsByUser } from './get-recently-created-dashboards-by-user';
import { getLastViewedReportsByUser } from './get-last-viewed-reports-by-user';
import { getSamples } from './get-samples-dashboards';
import { getFavoriteDashboards } from './get-favorite-dashboards';
import { getDatasets } from './get-datasets';
import { getMostPopularReports } from './get-most-popular-reports';

export const homePageApi = {
  getStatistics,
  getDatasets,
  getMostPopularReports,
  getNumberOfRecentlyCreatedResources,
  getRecentlyCreatedDashboardsByUser,
  getLastViewedReportsByUser,
  getSamples,
  getFavoriteDashboards,
};
