import classNames from 'classnames';
import React from 'react';
import {
  LoadingPlaceholderContainer,
  LoadingPlaceholderContainerProps,
} from '../loading-placeholder-container/LoadingPlaceholderContainer';

import classes from './LoadingImagePlaceholder.module.scss';

export const LoadingImagePlaceholder = (
  props: LoadingPlaceholderContainerProps
): JSX.Element => (
  <LoadingPlaceholderContainer {...props}>
    <i className={classNames(classes.icon, 'fa fa-image fa-5x')} />
  </LoadingPlaceholderContainer>
);
