import { PdfUploadFormatType } from 'types/job.type';

export const getPdfUploadFormat = (
  uploadFormat: PdfUploadFormatType | undefined
) => {
  switch (uploadFormat) {
    case PdfUploadFormatType.CurrentSheet:
      return 'Current Sheet';
    case PdfUploadFormatType.OneSheetPerPage:
      return 'One sheet per page';
    case PdfUploadFormatType.OneVisualPerPage:
      return 'One visual per page';
    default:
      return 'Unknown';
  }
};
