import type { PaginatedRoles } from 'pages/settings-page/apis/get-all-roles';

export const mockRoles: PaginatedRoles = {
  roles: [
    {
      id: 1,
      name: 'Mock role',
      desc: 'Mock role description',
      privs: [
        {
          ptype: 'system',
          perms: [
            'sys_misc',
            'sys_styles',
            'sys_workspace',
            'sys_settings',
            'sys_viewroles',
            'sys_schedules',
            'sys_viewlogs',
            'sys_editperm',
            'sys_editconn',
          ],
        },
        {
          ptype: 'dataconn',
          dclist: ['-1'],
          perms: ['dc_explore', 'dc_aviews', 'dc_upload'],
        },
        {
          ptype: 'dataset',
          dcid: '-1',
          dslist: ['-1'],
          perms: ['ds_manage', 'ds_appview', 'ds_appedit'],
        },
      ],
      users: [],
      groups: [],
      sentry_groups: [],
      perms: ['rgds_appview', 'rgds_manage', 'rgds_appedit'],
      require_all_groups: false,
    },
  ],
  total: 1,
};
