import { getGlobalArc } from 'utils/get-global-arc';
import { vizHttp } from 'services/viz-http';

const arc = getGlobalArc();
const submitAdminQueryToken = 'homepage-admin-defined-submit';

const submitAdminDefinedHomePage = async (id: string) =>
  await vizHttp.post({
    url: arc.frontend.globals.urls.assignDefaultAppUrl,
    headers: {
      'X-CSRFTOKEN': arc.frontend.globals.authentication.csrfToken,
    },
    isOldEndpoint: true,
    data: {
      app_id: id || '-1',
    },
  });

export { submitAdminDefinedHomePage, submitAdminQueryToken };
