import { getGlobalArc } from 'utils/get-global-arc';
import { vizHttp } from 'services/viz-http';

const arc = getGlobalArc();

const deleteUsageDataQueryToken = 'delete-usage-data';

const deleteUsageData = async () => {
  await vizHttp.delete({
    url: arc.frontend.globals.urls.deleteUsageDatabaseUrl,
    headers: {
      'X-CSRFTOKEN': arc.frontend.globals.authentication.csrfToken,
    },
    isOldEndpoint: false,
  });
};

export { deleteUsageData, deleteUsageDataQueryToken };
