export type App = {
  id: number;
  name: string;
  title: string;

  type: 'app';

  baseImg: string;

  editUrl: string;
  url: string;

  updated: {
    date: string;
    by: string;
  };

  workspace: string;

  permissions: string[];

  rw: boolean;

  group_id: number;

  group_type: string;

  subgroups: {
    group_id: number;
    name: string;
    apps: number[];
  }[];
};
