export type Dataset = {
  id: number;
  info: string;
  description: string;
  detail: string;
  displayDetail: string;
  name: string;
  perms: string[];
  settings: string;
  type: string;
  dc_id: number;
  dc_name: string;
  created: {
    date: string;
    by: string;
  };
  updated: {
    date: string;
    by: string;
    lb: boolean;
  };
  dataConnection: {
    id: number;
    name: string;
    type: string;
    displayType: string;
  };
  extract: {
    isSource: boolean;
    isTarget: boolean;
  };
  lv: {
    columns: string;
    name: string;
  };
};

export type SummaryDataset = {
  id: number;
  name: string;
  dc_id: number;
  dc_name: string;
  type: string;
  created: {
    by: string;
  };
};
