# this script expects:
#   - the VIZ git repo mounted at /viz
#   - parcels generated at /viz/packaging/build/parcel/parcels
# will produce:
#   - parcel manifest in /viz/packaging/build/parcel/parcels

set -x
set -e

# important inside RHEL UBI
unset ENV BASH_ENV PROMPT_COMMAND

# fix "for detected dubious ownership in repository at '/viz'"
git config --global --add safe.directory /viz

# explicitly activate the Python env:
source /opt/app-root/bin/activate

pip install -i https://nexus-private.infra.cloudera.com/nexus/repository/pypi-all/simple/ cdh-cauldron

cd /viz/packaging/build/parcel
# Active virtualenv with cauldron installed is assumed
parcelmanifest parcels/