#!/bin/bash -x

# Use parallel bzip2 if available
bz=$(which pbzip2 2>/dev/null) || bz=$(which bzip2)

mkdir -p ../artifacts
mkdir -p build_out
rm -f ../artifacts/cdwvizapps*tbz2

docker save cdwvizapps:${PKG_VERSION} | $bz > ../artifacts/cdwvizapps-${PKG_VERSION}.docker.tbz2

