# Copyright (c) 2013 - 2025 Cloudera, Inc.  All Rights Reserved.
#  
# Unless otherwise agreed to in writing by Cloudera, use of this file is exclusively governed by the Cloudera Standard License (the “License”), a copy of which may be found at https://www.cloudera.com/legal/commercial-terms-and-conditions.html.
#  
# This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. Refer to the License for the specific permissions and limitations governing your use of the file.
"""
urls for the admin api 
"""

from django.urls import re_path
from django.conf import settings

from api import views_api

urlpatterns = []

if getattr(settings, 'DATA_API_ENABLED', False):
  urlpatterns += [
    re_path(r'^data$', views_api.data, name='api-data'),
  ]
