# Copyright (c) 2013 - 2025 Cloudera, Inc.  All Rights Reserved.
#  
# Unless otherwise agreed to in writing by Cloudera, use of this file is exclusively governed by the Cloudera Standard License (the “License”), a copy of which may be found at https://www.cloudera.com/legal/commercial-terms-and-conditions.html.
#  
# This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. Refer to the License for the specific permissions and limitations governing your use of the file.
"""
Miscellaneous helper functions
"""

import os
import time

def time_string(time_seconds=None):
  """return a string representation of the time"""
  if time_seconds is None:
    time_seconds = time.time()

  return time.strftime("%Y-%m-%dT%H:%M:%S", time.localtime(time_seconds))

def acli_path():
  currdir = os.path.dirname(os.path.realpath(__file__))
  return os.path.dirname(currdir)

