# Copyright (c) 2013 - 2025 Cloudera, Inc.  All Rights Reserved.
#
# Unless otherwise agreed to in writing by Cloudera, use of this file is exclusively governed by the Cloudera Standard License (the “License”), a copy of which may be found at https://www.cloudera.com/legal/commercial-terms-and-conditions.html.
#
# This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. Refer to the License for the specific permissions and limitations governing your use of the file.
from .connections_types import DATACONN_ARCENGINE_V2
from .dataconn_impyla import ImpylaConnProperties, ImpylaConn

import logging
LOGGER = logging.getLogger('arcweb')

class ArcEngineV2ConnProperties(ImpylaConnProperties):
  def __init__(self):
    super(ArcEngineV2ConnProperties, self).__init__()

class ArcEngineV2Conn(ImpylaConn):
  def __init__(self, params, connection_id, conn_type=DATACONN_ARCENGINE_V2):
    super(ArcEngineV2Conn, self).__init__(params, connection_id, conn_type=conn_type)

  # overridden method
  def properties(self):
    return ArcEngineV2ConnProperties()

