Notes on generation ... needed some customization of result files to get includes to work.

Build with:

```
thrift --gen py -out . TCLIService.thrift
thrift --gen py -out TCLIService ExtendedMetadata.thrift
thrift --gen py -out TCLIService LogConnections.thrift
thrift --gen py -out TCLIService Logging.thrift
```

Then update `TCLIService/ttypes.py` like so:

```python
#import ExtendedMetadata.ttypes
#import LogConnections.ttypes
#import Logging.ttypes
from . import ExtendedMetadata
from . import LogConnections
from . import Logging
```

And update `TCLIService/LogConnections/ttypes.py` like so:

```python
#import Logging.ttypes
```

- And add this line to the start of `TCLIService/ExtendedMetadata/__init__.py` and
- add this line to the start of `TCLIService/LogConnections/__init__.py` and
- add this line a the start of `TCLIService/Logging/__init__.py`:

```python
from . import ttypes
```

Need to automate this (at least the generation).  Ideally figure out how avoid
updating the generated thrift files
