window.arc = window.arc || {};

(function() {
"use strict";

arc.counters = arc.counters || {};
arc.counters.data = arc.counters.data || {};

arc.counters.initialize = function(counter, val) {
  val = val || 0;

  if (counter in arc.counters.data) {
    return;
  }

  arc.counters.data[counter] = val;
};

arc.counters.increment = function(counter, amount) {
  amount = amount || 1;

  if (counter in arc.counters.data) {
    arc.counters.data[counter] += amount;
  } else {
    arc.counters.data[counter] = amount;
  }
};

arc.counters.initialize('queryTime');
arc.counters.initialize('queryCount');
arc.counters.initialize('maxQueryTime');

}());
