window.arc = window.arc || {};

(function() {
'use strict';

arc.screen = arc.screen || {};

arc.screen.search = function() {
  const search = function() { return 'arc.screen.search'; };

  search.initialize = function() {

    arc.globals.reports = arc.reporttracker.reports()
                                           .build_mode('display');

    arc.globals.params = arc.params.tracker();

    let viz = arc.visual.plugins.search();
    let vizDriver = arc.report.driver(viz);

    const params = arc.misc.getQueryParameters();
    if (params.search) {
      viz.searchText(params.search);
    }

    if (params.dataset_id) {
      viz.datasets(params.dataset_id.split(','));
    }

    vizDriver.chart_div('search-main-container');
    vizDriver.refresh(true);

    return search;
  };

  return search;
};

}());
