window.arc = window.arc || {};

(function() {
'use strict';

arc.settings = arc.settings || {};
arc.settings.flow = arc.settings.flow || {};

arc.settings.flow.minHeightPerNode = function() {
  return arc.visual.setting()
            .id('flow_min_height_per_node')
            .tab('Marks')
            .type(arc.visual.settingTypeEnum.INTEGER)
            .add_label('Min Node Height')
            .suffix('px')
            .min(10)
            .max(500)
            .step(10)
            .value(50);
};

arc.settings.flow.minWidthPerNode = function() {
  return arc.visual.setting()
            .id('flow_min_width_per_node')
            .tab('Marks')
            .type(arc.visual.settingTypeEnum.INTEGER)
            .add_label('Min Node Width')
            .suffix('px')
            .min(10)
            .max(500)
            .step(10)
            .value(150);
};

}());
