window.arc = window.arc || {};

(function() {
'use strict';

arc.settings = arc.settings || {};
arc.settings.trellis = arc.settings.trellis || {};

arc.settings.trellis.borders = function() {
  return arc.visual.setting()
            .id('trellis_borders')
            .tab('Trellis')
            .type(arc.visual.settingTypeEnum.CHECKBOX)
            .add_name('TRELLIS_BORDERS')
            .add_label('Display trellis borders')
            .value('true');
};

arc.settings.trellis.minimumWidth = function() {
  var s = arc.visual.setting();

  s.id('trellis_cell_minimum_width')
   .tab('Trellis')
   .type(arc.visual.settingTypeEnum.SLIDER)
   .add_class('spinner-alignright')
   .add_name('TRELLIS_CELL_MINIMUM_WIDTH')
   .add_label('Min Cell Width')
   .min(50)
   .max(2000)
   .step(50)
   .valueBeforeRestore('50')
   .value('100');

  return s;
};

arc.settings.trellis.minimumHeight = function() {
  var s = arc.visual.setting();

  s.id('trellis_cell_minimum_height')
   .tab('Trellis')
   .type(arc.visual.settingTypeEnum.SLIDER)
   .add_class('spinner-alignright')
   .add_name('TRELLIS_CELL_MINIMUM_HEIGHT')
   .add_label('Min Cell Height')
   .min(50)
   .max(2000)
   .step(50)
   .valueBeforeRestore('50')
   .value('100');

  return s;
};

})();
