window.arc = window.arc || {};

(function() {
'use strict';

arc.settings = arc.settings || {};
arc.settings.timeline = arc.settings.timeline || {};

arc.settings.timeline.labelPosition = function() {
  return arc.visual.setting()
            .id('timeline_label_position')
            .tab('Marks')
            .type(arc.visual.settingTypeEnum.DROPDOWN)
            .group('Label Position')
            .add_name('start')
            .add_label('Left')
            .add_name('middle')
            .add_label('Center')
            .add_name('end')
            .add_label('Right')
            .value('center');
};

arc.settings.timeline.labelMargin = function() {
  var s = arc.visual.setting();

  s.id('timeline_label_margin')
   .tab('Marks')
   .type(arc.visual.settingTypeEnum.INTEGER)
   .add_name('TIMELINE_LABEL_MARGIN')
   .add_label('Label Margin')
   .min(0)
   .max(100)
   .step(5)
   .value(20);

  return s;
};

}());
