QUnit.module('framework_arc_format', {});

QUnit.test('Sformat', (assert) => {
  const d = arc.utils.displayFormat('.3S');

  assert.equal(d(1), '1.00');
  assert.equal(d(1234), '1.23k');
  assert.equal(d(1234567), '1.23M');
  assert.equal(d(1234567890), '1.23B');
  assert.equal(d(1234567890123), '1.23T');
  assert.equal(d(1234567890123456), '1.23P');

  assert.equal(d(0.12345), '0.123');
  assert.equal(d(0.00012345), '0.000');
});
