QUnit.module('visuals_arc_datasets', {});

QUnit.test('Datasets - nice name', (assert) => {
  const Dataset = arc.datasets.Dataset();
  assert.equal(
    Dataset.title_casing_names('_asdf_ter'),
    ' Asdf Ter',
    'Not working fine with leading underscore',
  );
  assert.equal(
    Dataset.title_casing_names('my_col'),
    'My Col',
    'Not working for my_col',
  );
  assert.equal(
    Dataset.title_casing_names('iris_petal_lengths_adj'),
    'Iris Petal Lengths Adj',
    'Not working for iris_petal_lengths_adj',
  );
  assert.equal(Dataset.title_casing_names('_'), ' ', "Not working for '_' ");
  assert.equal(
    Dataset.title_casing_names(''),
    '',
    'Not working for empty string',
  );
  assert.equal(
    Dataset.title_casing_names('_top_10percent_new_'),
    ' Top 10percent New ',
    'Not working for _top_10percent_new_',
  );
  assert.equal(
    Dataset.title_casing_names('_\n_aF'),
    ' \n AF',
    "Not working for '_\n_aF'",
  );
  assert.equal(
    Dataset.title_casing_names('1234_^&*()_!@#$%'),
    '1234 ^&*() !@#$%',
    'Not working for _top_10percent_new_',
  );
});
