# Copyright (c) 2013 - 2025 Cloudera, Inc.  All Rights Reserved.
#
# Unless otherwise agreed to in writing by Cloudera, use of this file is exclusively governed by the Cloudera Standard License (the “License”), a copy of which may be found at https://www.cloudera.com/legal/commercial-terms-and-conditions.html.
#
# This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. Refer to the License for the specific permissions and limitations governing your use of the file.
from settings import *

RUN_FROM_SOURCE_DEBUG = True
ARCSQL_SERVER = "10.0.0.201:21050"

if RUN_FROM_SOURCE_DEBUG:
  ARCSQL = ('%s/../../../arcadia/arcexec/arcsql/arcsql' % THISDIR)
else:
  ARCSQL = None


# Additional locations of static files
STATICFILES_DIRS = (
  # Put strings here, like "/home/html/static" or "C:/www/django/static".
  # Always use forward slashes, even on Windows.
  # Don't forget to use absolute paths, not relative paths.
  "%s/../../" % THISDIR,
)

DATABASES = {
  'default': {
    # Add 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
    'ENGINE': 'django.db.backends.sqlite3',
    # Or path to database file if using sqlite3.
    'NAME': '../arcweb.django.sqlite3',
    # The following settings are not used with sqlite3:
    'USER': '',
    'PASSWORD': '',
    # Empty for localhost through domain sockets or '127.0.0.1' for
    # localhost through TCP.
    'HOST': '',
    # Set to empty string for default.
    'PORT': '',
    }
}