import { vizHttp } from 'services/viz-http';
import { getGlobalArc } from 'utils/get-global-arc';

const arc = getGlobalArc();

export const GET_REPORT_CREATION_PERMISSIONS_QUERY_TOKEN =
  'GET_REPORT_CREATION_PERMISSIONS_QUERY_TOKEN';

export const getReportCreationPermissions = () =>
  vizHttp
    .get<{
      canCreateDashboard: boolean;
      canCreateApp: boolean;
    }>({
      url: arc.frontend.globals.urls.getReportCreationPermissions,
      isOldEndpoint: false,
    })
    .then(({ data }) => data);
