import { getGlobalArc } from 'utils/get-global-arc';
import { vizHttp } from 'services/viz-http';

const arc = getGlobalArc();

export const editJobOwner = async (jobId: number, newOwnerId: number) => {
  await vizHttp.post({
    url: `${arc.frontend.globals.urls.jobEditOwnerUrl}/${jobId}`,
    headers: {
      'X-CSRFTOKEN': arc.frontend.globals.authentication.csrfToken,
    },
    isOldEndpoint: true,
    data: {
      is_bulk_change: false,
      newowner_id: newOwnerId,
    },
  });
};
