import { getGlobalArc } from 'utils/get-global-arc';
import { vizHttp } from 'services/viz-http';

const arc = getGlobalArc();

export const setIncompatiblyBrowserWarningDismissed = async () => {
  try {
    return await vizHttp.post({
      url: `${arc.frontend.globals.urls.userDataUrl}/incompatible_browser_warning_dismissed`,
      isOldEndpoint: true,
      data: {
        incompatible_browser_warning_dismissed: 'true',
        csrfmiddlewaretoken: arc.frontend.globals.authentication.csrfToken,
      },
    });
  } catch (error) {
    console.error(error);
  }
};
