/* eslint-disable camelcase */
import type { Dataset } from './dataset.type';

export interface Report {
  title_elem(): string;
  report_id(): string;
  report_name(): string;
  dataset(): Dataset;
  dataset(value: Dataset): void;
  dataset_id(): string | number;
  dataset_id(id: string | number): void;
  refresh(value: boolean): void;
  viz(): {
    substituteParams(sqlCmd: string): string;
    isShelfExpressionEmpty(expression: string): boolean;
  };
}
