import React from 'react';
import Badge from 'react-bootstrap/Badge';

import classes from './DataExtractBadge.module.scss';

type DataExtractBadgeProps = {
  type: 'source' | 'target';
};

export const DataExtractBadge = ({
  type,
}: DataExtractBadgeProps): JSX.Element => (
  <Badge className={classes.badge}>
    Extract {type === 'source' ? 'Source' : 'Target'}
  </Badge>
);
