import React from 'react';

import classes from './ReleaseItemText.module.scss';

type ReleaseItemTextProps = {
  children: (JSX.Element | string)[] | JSX.Element | string;
};

export const ReleaseItemText = ({
  children,
}: ReleaseItemTextProps): JSX.Element => (
  <div className={classes.text}>{children}</div>
);
