import classNames from 'classnames';
import React from 'react';

import classes from './UnauthorizedCardTitle.module.scss';

type UnauthorizedCardTitleProps = {
  className?: string;
  children: string;
};

export const UnauthorizedCardTitle = ({
  className,
  children,
}: UnauthorizedCardTitleProps): JSX.Element => (
  <h3 className={classNames(classes.title, className)}>{children}</h3>
);
