import React from 'react';

import classes from './Blocks.module.scss';
import { getBlocks } from './get-blocks';
import { Block } from '../block/Block';

export const Blocks = (): JSX.Element => {
  const blocks = getBlocks();

  return (
    <div className={classes.blocks}>
      {blocks.map((block) => (
        <Block key={block.title} {...block} />
      ))}
    </div>
  );
};
