export const minimumTimeOptions: { value: number; label: string }[] = [
  { value: -1, label: 'Only on first trigger' },
  { value: 0, label: 'When trigger occurs' },
  { value: 1800, label: 'Once a half hour' },
  { value: 3600, label: 'Once an hour' },
  { value: 86400, label: 'Once a day' },
  { value: 604800, label: 'Once a week' },
  { value: 1209600, label: 'Once in 2 weeks' },
  { value: 2419200, label: 'Once a month' },
];

export const getMinimumTimeIntervalLabel = (value: number) => {
  return minimumTimeOptions.find((option) => option.value === value)?.label;
};
