import { getGlobalArc } from 'utils/get-global-arc';
import { vizHttp } from 'services/viz-http';

const arc = getGlobalArc();
const overrideQueryToken = 'homepage-user-defined-override';

const overrideUserDefinedHomePage = async (value: boolean) =>
  await vizHttp.post({
    url: arc.frontend.globals.urls.disableHomepageOverrideUrl,
    headers: {
      'X-CSRFTOKEN': arc.frontend.globals.authentication.csrfToken,
    },
    isOldEndpoint: true,
    data: { disable_override: `${value}` },
  });
export { overrideUserDefinedHomePage, overrideQueryToken };
