import { getGlobalArc } from 'utils/get-global-arc';
import { vizHttp } from 'services/viz-http';

const arc = getGlobalArc();
const resetAdminQueryToken = 'homepage-admin-defined-reset';

const resetAdminDefinedHomePage = async () =>
  await vizHttp.delete({
    url: arc.frontend.globals.urls.assignDefaultAppUrl,
    headers: {
      'X-CSRFTOKEN': arc.frontend.globals.authentication.csrfToken,
    },
    isOldEndpoint: true,
  });

export { resetAdminDefinedHomePage, resetAdminQueryToken };
