import { vizHttp } from 'services/viz-http';
import { getGlobalArc } from 'utils/get-global-arc';

const arc = getGlobalArc();
export const reportUsageQueryToken = 'report-usage';

type ReportUsage = { [reportId: string]: number };

export const getReportUsage = async () => {
  const { data } = await vizHttp.get<ReportUsage>({
    url: arc.frontend.globals.urls.reportUsageUrl,
    isOldEndpoint: true,
  });

  return data;
};
