type TableField = {
  alias: string;
  expr: string;
  type: string;
};

export type Extract = {
  id: number;
  type: string;
  srcDatasetId: number;
  srcDatasetName: string;
  tgtDataConnectionId: number;
  tgtDataConnectionName: string;
  tgtDbName: string;
  tgtTableName: string;
  username: string;
  rewriteStatus: string;
  dimensions: TableField[];
  measures: TableField[];
  emailSuccess?: boolean;
  emailFail?: boolean;
  emailTo?: string[];
  emailSubject?: string;
};
