export type NotificationInfo = {
  id: string;
  type: 'info' | 'warning' | 'error';
  title: string;
  body: string;
  status: 'R' | 'U' | 'P';
  timestamps: { timestamps: number[] };
  source: 'backend' | 'frontend';
  hasErrorSync: boolean;
};
