/// <reference types="@welldone-software/why-did-you-render" />

import React from 'react';

if (process.env.NODE_ENV === 'development') {
  const whyDidYouRender = require('@welldone-software/why-did-you-render');
  whyDidYouRender(React, {
    trackAllPureComponents: true,
    titleColor: 'yellow',
    diffNameColor: 'yellow',
    diffPathColor: 'yellow',
  });
}

// Tested on NavigationBar. To use the package, simply add whyDidYouRender = true
// to component classes/functions you want to track. (f.e Component.whyDidYouRender = true)
// More details at https://github.com/welldone-software/why-did-you-render
