import './expose-jquery';
import 'jquery-ui-dist/jquery-ui.min';
import 'jquery-ui-dist/jquery-ui.min.css';
import 'jquery-ui-dist/jquery-ui.theme.min.css';
// Bootstrap has to be loaded after jquery UI or it overrides tooltip
import 'bootstrap';
import * as d3 from 'd3';
import Fuse from 'fuse.js';
import moment from 'moment';
import ShortUniqueId from 'short-unique-id';

// Export d4, so it is avaialbe for the arc package and also the custom scripts.
if (!window.d4) {
  window.d4 = d3;
}

if (!window.Fuse) {
  window.Fuse = Fuse;
}

if (!window.ShortUniqueId) {
  window.ShortUniqueId = ShortUniqueId;
}

window.moment = moment;
